Reset the server password
POST
Requires confirm: true. Inspect the resource before retrying an uncertain outcome.
apiToken services:credentialsheader
AuthorizationBearer <token>A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.
Scope: services:credentials
serviceId*numberapplication/json- body
confirm*booleanOperation completed or accepted; asynchronous actions may still be running.
application/json- response
ok*booleansentTo*stringcurl -X POST 'https://api.deluxhost.net/v1/services/0/virtfusion/password' \ -H "Authorization: Bearer $DELUXHOST_TOKEN" \ -H 'Content-Type: application/json' \ -d '{ "confirm": true}'Example Response
{ "ok": true, "sentTo": "string"}